Support » Plugin: Custom Content Shortcode » $this can no longer be used in a plain function or method since PHP 7.1

  • Resolved KEI

    (@isheik8)


    Hi,

    PHP Compatibility Checker (Target PHP Ver. 7.2) gave me the following error alert for the latest version of this plugin.

    File Name:
    custom-content-shortcode\includes\modules\attached.php
    The problem code (Line 70):
    usort($attachment_ids, array($this, ‘sort_gallery_by_title’));
    Type:
    Error
    Message:
    \$this\” can no longer be used in a plain function or method since PHP 7.1.”

    The previous version of this plugin had same errors in custom-content-shortcode\includes\core\content.php too, but those seem already fixed in the latest version. Would there be any update plan to fix this error too?

    Thanks,

Viewing 1 replies (of 1 total)
Viewing 1 replies (of 1 total)
  • You must be logged in to reply to this topic.